•   
  • 1
  • 172
  • 173
  • 174(current)
  • 175
  • 176
  • 315
  •   
  Thread Closed
Release [depricated] old YouTube Plugin - XBMC 13.0 Frodo/Gotham only
Does Google Two-Factor Authentication works with this plugin?
Amor cuerdo, no es Amor.
(2012-12-18, 10:59)Dennisreneholm Wrote:
(2012-12-17, 23:12)lordashram Wrote:
(2012-12-17, 17:55)Dennisreneholm Wrote: I can download a .zip file, and get it to my HTPC but if i try to install it i get error:

I download the files by clicking the ZIP link on the site mentioned in post before me
Add-on does not have correct Structure, so i'm guessing i am downloading the wrong files.

Here is how to get that zip to work,
WARNING: this is beta not a public release so if it causes your tv and/or pc to catch on fire or you get an alien anal probe you have been warned!
unzip file
rename the folder plugin to plugin.video.youtube
open up the file addon.xml with your favorite text editor
change:
Code:
<import addon='xbmc.python' version='2.0'/>
    <import addon='script.module.simplejson' version='2.0.10'/>
    <import addon='script.common.plugin.cache.beta' version='1.3.0'/>
    <import addon='script.module.parsedom.beta' version='1.3.0'/>
    <import addon='script.module.simple.downloader.beta' version='0.9.3'/>
to:
Code:
<import addon='xbmc.python' version='2.0.0'/>
    <import addon='script.module.simplejson' version='2.0.10'/>
    <import addon='script.common.plugin.cache' version='1.3.0'/>
    <import addon='script.module.parsedom' version='1.3.0'/>
    <import addon='script.module.simple.downloader' version='0.9.3'/>
save file
zip up the plugin.video.youtube (remember plugin.video.youtube should be in the zip file, not just the contents of plugin.video.youtube)
you can now do a zip install
also keep in mind that everything in this is marked beta so it will not use your old settings and when a public release does come out it will use your old settings not the beta settings.

thanks, but i got it working.

I downloaded the files, and only copied the login.py file to the current youtube installation.
Works for now, but i know it's not the greatest way to do it Tongue


this worked for me on frodo rc1. i needed to use my google email address instead of my youtube username (youtube is owned by google now)
(2012-12-18, 13:50)F.Horst Wrote: Unfortunately does not work.
I replaced the YouTubeLogin.py from here
(http://hg.tobiasussing.dk/hgweb.cgi/youtubexbmc)
in my directory


Where is the failure?

No idea, I have the two-factor authentication, I use Frodo and Aeon Nox 4.0 : when I tried to log in a numeric pad appeared and I typed the password sent by google on my mobile.

(2012-12-19, 20:06)donniezazen Wrote: Does Google Two-Factor Authentication works with this plugin?

It does (at leats for me, with le login file from the beta).
Here is a link for the beta zip ready to install from the website said some posts before.
Google Two-Factor Authentication works fine.
http://xiider.de/yt.zip
(2012-12-19, 22:08)Xiider Wrote: Here is a link for the beta zip ready to install from the website said some posts before.
Google Two-Factor Authentication works fine.
http://xiider.de/yt.zip

Appears to log in successfully, clicking on "My Subscriptions" gives me a "Script failed!" error. "Explore YouTube" folder is empty. All other items seem to work though.
Hm, works fine for me..
Are you using xbmcbuntu? I think Im using the last download. I uninstalled the old youtube addon and then installed the one I posted.
No, Mac Mini. I finally found the official "Issues" thread for this addon. They claim XBMC broke many plugins between Frodo beta and rc1. This addon is broken and hasn't been updated yet. This explains why everything worked while I was running under Eden and broke after upgrading to Frodo. Sooo, both the official YouTube and the YouTube Beta addons are both a no go with regards to subscription content under rc1 of Frodo. Ironically, the reason I upgraded to Frodo was due to a broken plugin that I could not live without. I believe the many issues that I've been experiencing with Frodo thus far has been because of the update of Python. I guess I don't understand why XBMC doesn't report the addon as broken to me?
Changes from the cyrrelic subscription fix broke the script.
When I manually alter the .py files as they are in the revision, XBMC says the script is broken.

The only "fix" working there is replacing line 240 in YouTubeCore.py from :
Code:
folder["channel"] = folder["Title"]
...to...
Code:
folder["channel"] = self.common.parseDOM(node, 'yt:username')[0]
... and leaving the rest untouched will fix the empty "My subscriptions" problem.

The rest of the changes in that changeset broke the script.
So is there a way to get subscriptions working with the version that can do two-factor authentication?
okay now it works for me too (openelec 2.9.5)
But most important, search (!) and exploreyoutube still not running
The fields are still empty

Iam grateful for any advice about
Thanks
The plugin hasn't worked since Eden. I am currently running wsnipex Frodo RC1.

http://pastebin.com/aLPSBwKn
Living Room: Ubuntu 16.10 x64 | BayTrail-M SOC | Krypton | Hitachi 55L6 | Yamaha RX-V665 | 7.1 Polk Surround
Den: RetroPie 4.1 | Raspberry Pi 3 | Krypton | VIZIO XVT553SV
Bedroom: OSMC 2017.02-1 | Raspberry Pi 3 | Krypton | VIZIO E370VA
HP Chromebook 14: Ubuntu 16.04 x64 | Celeron 2955U | Jarvis
NAS: Windows 10 | 20TB on DrivePool | Emby DB | Subsonic | Plex
(2012-12-20, 16:23)F.Horst Wrote: okay now it works for me too (openelec 2.9.5)
But most important, search (!) and exploreyoutube still not running
The fields are still empty

Iam grateful for any advice about
Thanks

Start by deleting the Youtube userdata folder. It might need more not sure I had the same problem but cleaned out my home xbmc folder for another reason and that solved the problem.
i deleted
plugin.video.youtube in /storage/.xbmc/addons
and
plugin.video.youtube.beta in /storage/.xbmc/userdata/addon_data

but nothing works
the search is blank
Huh
(2012-12-21, 05:32)VanillaXtract Wrote: The plugin hasn't worked since Eden. I am currently running wsnipex Frodo RC1.

http://pastebin.com/aLPSBwKn

what is wsnipex?
ppa:wsnipex/xbmc-xvba - XVBA and VDPAU improved monthly updated PPA (Unstable)

but with this also nothing works

:-(
  •   
  • 1
  • 172
  • 173
  • 174(current)
  • 175
  • 176
  • 315
  •   
  Thread Closed
 
Thread Rating:
  • 28 Vote(s) - 4.14 Average



Logout Mark Read Team Forum Stats Members Help
[depricated] old YouTube Plugin - XBMC 13.0 Frodo/Gotham only4.1428